# Navigation

For navigation inside Anytype, you have 4 options: **`Home, Search, Graph View`, `Bi-Directional Navigation`** and **`Keyboard Shortcuts`**.

## Home

![](<../.gitbook/assets/Screenshot 2021-11-11 at 16.04.00.png>)

### Home tabs

* **Favorites.** Use this tab for frequently used objects. You can easily add any object to Favorites from the object Menu

![Adding object to Favorites](../.gitbook/assets/ezgif-2-b73c8e1a497a.gif)

* **History**. has objects that were opened recently
* **Sets** that you have ever created.
* **Bin** has recently deleted objects. You can put it back or delete it irrevocably.

## Search

Do a search across your knowledge graph, object types, and relations.

![](../.gitbook/assets/ezgif-3-124675fdcc1c.gif)

## Navigation Panel

Since all connections between objects have a certain direction(_from-object_ or _to-object)_, the navigation panel helps to see objects connected with the current one in terms of their direction. Read more about object connections in [#object-graph](navigation.md#object-graph "mention")

Navigation Panel helps to navigate between objects that have [Object Links](../fundamentals/object/blocks-and-canvas/relations-mentions-and-object-links.md#as-object-link) or [Relations](../fundamentals/relation.md) to each other. Hit ![](../.gitbook/assets/nav.svg) button on the top bar to open Navigation Panel.

![](../.gitbook/assets/ezgif-2-61fd939d2515.gif)

The Navigation Panel consists of three blocks:

* **The current object** is the object that is currently in focus
* **Link from** is a list of objects containing a link or relation to the current object
* **Link to** is a list of objects that are referenced in the current object

If you want to change focus from one object to another, simply hit this object on the panel. It changes the current context to see updated connections according to the current thing.

![](../.gitbook/assets/ezgif-2-05163aba6d9a.gif)

## Object Graph

Displays a graph representation of the Links and Relations between your objects. You can see the power of Anytype relations, with connections showing how each object relates to another.

To access the Graph Mode, look for the ![](<../.gitbook/assets/graph (1).svg>) icon in the top-left corner from any opened object or just press `⌘ + Option + O` or `Ctrl + Alt + O`.

![](<../.gitbook/assets/Screenshot 2021-11-11 at 17.40.40.png>)

You can hover over each object to highlight its connections. Then, clicking on it will show additional information and options in a side panel.

* To pan around the canvas, drag the background.
* You can zoom in and out using a touchpad zoom function or by scrolling with a mouse wheel.

Use the search function at the bottom of the panel to the right to find a particular object. Matching objects will be highlighted in the network view.

## Keyboard Shortcuts

Alternatively, you can always use the keyboard to navigate. `< >` buttons can take you forward and backwards in your navigation history, or you can use the shortcuts `CMD / CTRL + [ / ]` to navigate.

***
